Search Results for

Show / Hide Table of Contents

# Class Notepad

##### Inheritance

System.Object
Scenario
Notepad

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Top
Scenario.Win
Scenario.Init(Toplevel, ColorScheme)
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.Run()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("Notepad", "Multi tab text editor uising the TabView control.")]
    [Scenario.ScenarioCategory("Controls")]
    [Scenario.ScenarioCategory("TabView")]
    public class Notepad : Scenario, IDisposable

### Methods

#### Save()

##### Declaration

    public void Save()

#### SaveAs()

##### Declaration

    public bool SaveAs()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable